#
# spec file for package libzypp (Version 1.2.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison boost boost-devel bzip2 coreutils cpio cpp cracklib curl curl-devel cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dejagnu diffutils doxygen e2fsprogs e2fsprogs-devel expat expect file filesystem fillup findutils flex fontconfig freetype2 gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm graphviz grep groff gzip hal hal-devel info insserv klogd less libacl libattr libcom_err libgcc libicu libidn libidn-devel libjpeg libnscd libpng libstdc++ libstdc++-devel libtool libusb libxcrypt libxml2 libxml2-devel libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch perl permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline rpm rpm-devel sed strace sysvinit tar tcl tcpd texinfo timezone unzip util-linux vim xorg-x11-libs zlib zlib-devel

Name:           libzypp
BuildRequires:  boost-devel curl-devel dejagnu doxygen e2fsprogs-devel gcc-c++ graphviz hal-devel libxml2-devel rpm-devel
License:        GPL
Group:          System/Packages
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Autoreqprov:    on
Summary:        Package, Patch, Pattern, and Product Management
Version:        1.2.0
Release:        1.21
Source:         zypp-1.2.0.tar.bz2
Prefix:         /usr
Provides:       yast2-packagemanager
Obsoletes:      yast2-packagemanager

%description
Package, Patch, Pattern, and Product Management

Authors:
--------
    Michael Andres <ma@suse.de>
    Jiri Srain <jsrain@suse.cz>
    Stefan Schubert <schubi@suse.de>
    Duncan Mac-Vicar <dmacvicar@suse.de>
    Klaus Kaempf <kkaempf@suse.de>
    Marius Tomaschewski <mt@suse.de>
    Stanislav Visnovsky <visnov@suse.cz>
    Ladislav Slezak <lslezak@suse.cz>

%debug_package
%package devel
Requires:       libzypp
Requires:       libxml2-devel curl-devel openssl-devel rpm-devel glibc-devel zlib-devel e2fsprogs-devel
Requires:       bzip2 popt-devel dbus-1-devel glib2-devel hal-devel boost-devel libstdc++-devel
Summary:        Package, Patch, Pattern, and Product Management - developers files
Group:          System/Packages
Provides:       yast2-packagemanager-devel
Obsoletes:      yast2-packagemanager-devel

%description -n libzypp-devel
Package, Patch, Pattern, and Product Management - developers files

Authors:
--------
    Michael Andres <ma@suse.de>
    Jiri Srain <jsrain@suse.cz>
    Stefan Schubert <schubi@suse.de>
    Duncan Mac-Vicar <dmacvicar@suse.de>
    Klaus Kaempf <kkaempf@suse.de>
    Marius Tomaschewski <mt@suse.de>
    Stanislav Visnovsky <visnov@suse.cz>
    Ladislav Slezak <lslezak@suse.cz>

%prep
%setup -q -n zypp-1.2.0

%build
mv configure.ac x
grep -v devel/ x > configure.ac
autoreconf --force --install --symlink --verbose
%{?suse_update_config:%{suse_update_config -f}}
./configure --prefix=%{prefix} --libdir=%{_libdir} --mandir=%{_mandir} --disable-static
make %{?jobs:-j %jobs}
#make check

%install
make install DESTDIR=$RPM_BUILD_ROOT
# Create filelist with translatins
%{find_lang} zypp

%post
%run_ldconfig

%postun
%run_ldconfig

%clean

%files -f zypp.lang
%defattr(-,root,root)
%dir %{_libdir}/libzypp*so.*
%dir %{prefix}/share/zypp
%{prefix}/share/zypp/*

%files devel
%defattr(-,root,root)
%dir %{_libdir}/libzypp.so
%dir %{_libdir}/libzypp.la
%dir %{_docdir}/zypp
%{_docdir}/zypp/*
%dir %{prefix}/include/zypp
%{prefix}/include/zypp/*
%{_libdir}/pkgconfig/libzypp.pc

%changelog -n libzypp
* Wed Jul 05 2006 - kkaempf@suse.de
- Update atom status if its requirements cannot be fulfilled.
  (#190272)
- rev 3763
* Mon Jul 03 2006 - kkaempf@suse.de
- Add "ATI Technologies Inc." and "Nvidia" to trusted vendors
  (#189573)
- rev 3760
* Mon Jul 03 2006 - kk@suse.de
- Don't treat installed but incomplete resolvable as present
  (#189270)
- Improve MediaManager comments (mt@suse.de).
- Testsuite improvements.
- rev 3757
* Wed Jun 28 2006 - ma@suse.de
- Let ZYpp and Resolver use common code to determine the system
  architecture.
- revision 3728
* Fri Jun 23 2006 - dmacvicar@suse.de
- autorefresh not implemented (#186115)
- rev 3700
* Fri Jun 23 2006 - ma@suse.de
- Set default permission for logfiles to 0640. (#187044)
- revision 3694
* Thu Jun 22 2006 - ma@suse.de
- Fixed installation of SP or Add-On product switching to media 2
  too early. (#186607)
- revision 3686
* Wed Jun 21 2006 - ma@suse.de
- Strip self provides without edition in Resolvable ctor.
  (#186079)
- revision 3673
* Wed Jun 21 2006 - kkaempf@suse.de
- Hook modalias() supplements without package to "kernel" (#184840)
- rev 3669
* Wed Jun 21 2006 - kkaempf@suse.de
- Allow on-demand SourceManager::restore() (#186678)
- rev 3667
* Mon Jun 19 2006 - mt@suse.de
- Fix adding resolving of path names for mount points (#181606)
- rev 3664
* Mon Jun 19 2006 - dmacvicar@suse.de
- right fix for tmpdir initialized in static constructor
- catch around provideJustFile in providePackage
-rev 3654
* Thu Jun 15 2006 - mvidner@suse.cz
- autodocs: use find+xargs to overcome command length limit,
  do not call doxygen unnecessarily (#185334).
- rev 3645
* Thu Jun 15 2006 - kkaempf@suse.de
- Dont use getZYpp in static constructor (#185198)
  Bugfix #178292 was wrong.
- Only warn on incompleting installed resolvables (#185197)
- rev 3644
* Wed Jun 14 2006 - kkaempf@suse.de
- Atoms might only be installed via patches (#184714)
- rev 3642
* Wed Jun 14 2006 - dmacvicar@suse.de
- fix for the last stall tmpfile (#178292)
- r3637
* Wed Jun 14 2006 - mt@suse.de
- Implemented transfer timeout inside of the progress callback.
  The timeout value can be set using timeout url parameter, the
  default transfer timeout is 180 seconds. (#181602)
- Added ssl_verify and ssl_capath url options used in https scheme,
  allowing to change or disable the ssl verify options. (#171622)
- Added fallback on read failures of /etc/mtab to /proc/mounts.
  Improved verbosity in mount and mount check related failure cases,
  incl. /etc/mtab dump. (#181606)
- rev 3623
* Wed Jun 14 2006 - kkaempf@suse.de
- combine knownAliases and knownUrls in a single function.
- rev 3616
* Mon Jun 12 2006 - kkaempf@suse.de
- honor parallel installs in resolver context (#181103)
- rev 3592
* Mon Jun 12 2006 - dmacvicar@suse.de
- fix #182003 YUM packages without size
- rev 3587
* Mon Jun 12 2006 - kkaempf@suse.de
- Allow to restore and remove by Url
- rev 3583
* Mon Jun 12 2006 - kkaempf@suse.de
- make atoms parallel installable (#181103)
- rev 3580
* Fri Jun 09 2006 - dmacvicar@suse.de
- Allow to restore by alias
- r3568
* Fri Jun 09 2006 - mvidner@suse.cz
- Do not fork in a global destructor, perl dislikes it (#182672).
  Fixes hanging ag_ldapserver and yast2-perl-bindings tests.
* Thu Jun 08 2006 - ma@suse.de
- Installation: Assert product information is stored to libzypp
  database before reboot. (#181198)
- Version 1.2.0; revision 3553
* Wed Jun 07 2006 - visnov@suse.cz
- Synchronize keys with rpm database before
  closing access to it (#182338)
- rev 3533
* Wed Jun 07 2006 - mt@suse.de
- Changed to just prefer DVD drives in "dvd:" scheme, instead of
  filter out the non-DVD drives completely. Allows a fallback to
  drives without the dvd HAL property e.g. in VMWare. (#177457)
- rev 3530
* Wed Jun 07 2006 - dmacvicar@suse.de
- Merge fix for stalle tmpdir due to cyclic references, using a master
  TmpDir for zypp. (#178292) . There is still 1 tmpdir to fix.
- rev 3521
* Wed Jun 07 2006 - ma@suse.de
- fixed memory leak in PersistentStorage (#168690)
- revision 3519
* Tue Jun 06 2006 - ma@suse.de
- fixed memory leak in XMLSourceCacheParser (#168690)
- revision 3517
* Fri Jun 02 2006 - schubi@suse.de
-latest fi translation added
  Revision 3502
* Thu Jun 01 2006 - schubi@suse.de
-All installed resolvables has been set to "satisfied" in
  ResolverContext::unneeded . BUT:
  Patch concerning resolvables have to be set to
  "unneeded" although they are installed. In order
  getting the state "no longer applicable" (Bug 171590)
- rev 3496
* Thu Jun 01 2006 - kkaempf@suse.de
- compute status for scripts and messages so their freshens get
  properly honored (aj with postgresql-server)
- rev 3494
* Thu Jun 01 2006 - dmacvicar@suse.de
- revert not-used-yet rpmdb timestamp, as
  it broke rpmdb::init(). (#180040)
- rev 3490
* Thu Jun 01 2006 - schubi@suse.de
- updating gmo files, if po files has been changed; bug 164449
* Wed May 31 2006 - dmacvicar@suse.de
- Dont download twice if starting from 1st time
- fix typo
- rev 3481
* Wed May 31 2006 - dmacvicar@suse.de
- set cache dir only if storeMetadata is called as a public method.´
- rev 3475
* Wed May 31 2006 - kkaempf@suse.de
- schedule a package for installation if
- it freshens / supplements something
- it is not installed yet
  (#178721)
- rev 3473
* Wed May 31 2006 - dmacvicar@suse.de
- make susetags also implement download and check first.
- rev 3470
* Tue May 30 2006 - dmacvicar@suse.de
- make yum more robust. Never parse from provideFile
  but only from local disk. Make sure the cache
  is consistent before recreating it.
  the code is easier to follow and probably
  faster. checksum and signatures are
  checked on caching not on parsing.
  Required to implement refresh for #154990
- rev 3452
* Wed May 24 2006 - dmacvicar@suse.de
- implement timestamp for YUM and SuseTags
- actually use the license to confirm in yum patches
- add prerequires tag in yum optonally to the bad designed
  and nonintuitive pre=1
- rev 3448
* Wed May 24 2006 - dmacvicar@suse.de
- dont pass root on init but before.
- implement rpm db modification timestamp
    not used yet
- move Helix source to testsuite out of the solver
  so we can use it for target, storage tests
- add Source_Ref::timestamp(), default to now()
    in order to implement smart sync of sources by zmd
- don't parse desc and summary twice
- fix a segfault with tranlated text
- fix broken size tag introduced in rev 3427
- rev 3446
* Tue May 23 2006 - dmacvicar@suse.de
- dont accept corrupt sources, improve logs
* Tue May 23 2006 - ma@suse.de
- Added PoolItem_Ref::statusReset. Resets the PoolItem status without
  loosing autoprotection (eg. for foreign vendor). (assists #177469)
- rev 3431
* Tue May 23 2006 - jsrain@suse.cz
- added mediaNr() to PatchRpm and DeltaRpm classes
- rev 3430
* Tue May 23 2006 - dmacvicar@suse.de
- enable YUM license to confirm.
  needed for #174476
- adapt store to serialize and read all new resobject fields
- use install-time to now() when serializing (#174653)
- rev 3427
* Mon May 22 2006 - ma@suse.de
- Do not violate install order when restricting commit to a certain
  mediaNumber. (#170079)
- Version 1.1.0; rev 3423
* Mon May 22 2006 - mvidner@suse.cz
- Added SourceManager::findSourceByUrl to overcome alias mismatches
  (#177543).
- rev 3420
* Mon May 22 2006 - ma@suse.de
- Order all objects according to prerequirements, not just packages.
  (#173690)
- rev 3419
* Mon May 22 2006 - schubi@suse.de
- Added new translation
* Fri May 19 2006 - dmacvicar@suse.de
- fix missing homedir option for gpg (#171055)
- rev 3415
* Thu May 18 2006 - ma@suse.de
- Prevent against daemons launched in rpm %%post, that do not close
  their filedescriptors. (#174548)
- Version 1.0.1; rev 3413
* Thu May 18 2006 - jsrain@suse.cz
- fixed media number of package retrieved as a part of a patch
  (#174841)
- rev 3409
* Thu May 18 2006 - dmacvicar@suse.de
- fix missing package descriptions due to filtered packages
  by incompatible architectures. (#159109)
- rev 3404
* Thu May 18 2006 - kkaempf@suse.de
- decrease logging in DiskUsageCounter and Modalias (#163186)
- rev 3406
* Thu May 18 2006 - ma@suse.de
- Stay backward comapatible.
* Tue May 16 2006 - ma@suse.de
- Make basic attributes available through ResObject.
- Let ResObjects which do not require media access during
  commit return ZERO sourceMediaNr (required for #173690)
- Version 1.0.0
- rev 3390
* Tue May 16 2006 - kkaempf@suse.de
- reduce logging verbosity (#163186)
- rev 3381
* Tue May 16 2006 - schubi@suse.de
- setCandidate accept candidates with compatible architectures too. Not
  only with the same architecture. Bug 172594 - If update package has
  differet arch, UI display is wrong
* Tue May 16 2006 - mvidner@suse.cz
- Added Source_Ref::resStoreInitialized.
  If we know that noone has seen the resolvables yet, we can skip
  them too, eg. when deleting a source. (#174840)
- rev 3378
* Mon May 15 2006 - kkaempf@suse.de
- Honor freshens as conditionals independant from the installed/
  uninstalled status (#174797)
- rev 3376
* Mon May 15 2006 - kkaempf@suse.de
- State modifier "unneeded" is transitive for patches (#171590)
- rev 3375
* Thu May 11 2006 - schubi@suse.de
- Do not transact itself (update) in the transactResObject mechanism
  Bug 174290
* Thu May 11 2006 - mt@suse.de
- Reenabled improved large file support flags (unintentionally
  removed in rev 1544). Fixes bug #173753.
- Added large file support flags to libzypp.pc file allowing
  consistence checks in the application using features variable
- rev 3366
* Thu May 11 2006 - mvidner@suse.cz
- SourceManager: moved source deletion before creation
  so that we can recreate a deleted one (#174295)
- removed dead code dealing with known_caches from SourceManager::store
  (see r3195)
- r3362
* Thu May 11 2006 - jsrain@suse.cz
- fixed returning product short name and summary if product read
  from target store (#148625)
- rev 3360
* Wed May 10 2006 - jsrain@suse.cz
- set media verifier on redirected medium (#172599)
- rev 3359
* Mon May 08 2006 - kkaempf@suse.de
- fix 'transactResKind' to collect best providers by capability
  and to recursively transact items of same kind (#170114)
- rev 3355
* Mon May 08 2006 - dmacvicar@suse.de
- serialize the full URL to avoid missing password and other
  url settings (#148108)
- rev 3353
* Fri May 05 2006 - mt@suse.de
- Added a 60 sec connect timeout to MediaCurl (#172860)
- rev 3348
* Thu May 04 2006 - kkaempf@suse.de
- re-fetch also .asc and .key files before checking signature
  (#172597)
- rev 3350 (3345-10.1)
* Wed May 03 2006 - dmacvicar@suse.de
- Fix yum key verification, because a double variable declaration
* Wed May 03 2006 - dmacvicar@suse.de
- use --no-default-keyring to avoid creating a
    default gpg dir in / (#171055)
- rev 3335
* Wed May 03 2006 - dmacvicar@suse.de
- Fix YUM signature checking, we were passing the key instead of the
  signature.
- When the user trust a key, sync again. Bye to the session trusted
  keys and user being asked all the time. (#171213)
- r3332
* Wed May 03 2006 - ma@suse.de
- Cleanup index tables when removing items from pool (#170564).
* Wed May 03 2006 - kkaempf@suse.de
- backout rev 3246->3275 of TargetImpl.cc
- add missing testsuite/utils/TestUtils.h
- rev 3330
* Wed May 03 2006 - dmacvicar@suse.de
- more fixes for #171062, there were some files still not being
  read from cache.
- r3327
* Tue May 02 2006 - dmacvicar@suse.de
- cache keys and signature. Remove lot of duplicated code. (#171062)
- r3320
* Tue May 02 2006 - mt@suse.de
- Disabled isUseableAttachPoint check in MediaDIR -- we do not
  mount here anything, so it is OK to use any dir (171351).
- rev 3318
* Tue May 02 2006 - kkaempf@suse.de
- parse "license-to-confirm" in primary.xml (#168437)
- rev 3312
* Mon May 01 2006 - kkaempf@suse.de
- Don't try to store 'Atom', not needed and the backend store
  rejects them anyways (addtion to #168610)
- rev 3306
* Mon May 01 2006 - mt@suse.de
- Improved device check in MediaDISK using libblkid (Bug #158529)
- Allow to provide sysfs path via $SYSFS_PATH in MediaCD.cc and
  added a check if it is a directory
- Added libcurl and libblkid checks to configure.ac
- Added e2fsprogs(-devel) requires to the spec file
- rev 3303
* Sat Apr 29 2006 - kkaempf@suse.de
- dont download "other" during key check (#171041)
- rev 3294
* Sat Apr 29 2006 - kkaempf@suse.de
- allow parallel installs of atoms (used to fulfill patch require-
  ments, atoms aren't installed anyways) (#170098)
- some testsuite improvements.
- rev 3288
* Fri Apr 28 2006 - dmacvicar@suse.de
- get rid of autobuild check when throwing exceptions without throw
  but with a macro, returning a null pointer at the end (never reached).
* Fri Apr 28 2006 - ma@suse.de
- Do not violate install order when restricting commit to a certain
  mediaNumber. (#170079)
* Fri Apr 28 2006 - dmacvicar@suse.de
- Don't use throw directly!
  use ZYPP_THROW with a Exception class, otherwise package bindings
  will not catch them.
  Should fix crashes when reading broken sources with yast.
- rev 3272
* Fri Apr 28 2006 - schubi@suse.de
- Bug 162064 - font packages are not installed for locale, e.g. khmer font not installed after CD1
  revision 3269
* Fri Apr 28 2006 - kkaempf@suse.de
- revert bugfix #168906 (fom rev 3219), it filters too many errors.
- further improve on #168840 (from rev 3231), match on name-edition
  when filtering by best arch. (#170098)
- rev 3268
* Fri Apr 28 2006 - dmacvicar@suse.de
- #170093 , lot of package descriptions missing
- rev 3263
* Thu Apr 27 2006 - dmacvicar@suse.de
- try to fix wrong permissions of /var/lib/zypp created
  by old zypp, only when running as root they are fixed
  (#169094)
- YUM: Verify signatures on factoryInit.
  Dont provide other.xml. Cleanups, better logging.
  When refreshing signed soruces, don't refresh is source
  has not changed.
- YaST sources: don't refresh if media file has not changed.
- Show full url of index files in sources for signature validation
  (mentioned in #170139 comment #3)-
* Thu Apr 27 2006 - jsrain@suse.de
- udpated media ID syntax for external scripts (to be consistent
  with packages) (#170247)
- rev 3256
* Thu Apr 27 2006 - jsrain@suse.de
- set media ID to 1 if not specified in YUM metadata (#167452)
- rev 3255
* Thu Apr 27 2006 - kkaempf@suse.de
- If freshen and supplement are fulfilled, install any kind of
  resolvable if not yet installed (#165746)
- rev 3249
* Wed Apr 26 2006 - kkaempf@suse.de
- make downloaded script executable. (#169191)
- rev 3247
* Wed Apr 26 2006 - kkaempf@suse.de
- Improve on last fix, compare only compatible archs.
- rev 3233
* Tue Apr 25 2006 - kkaempf@suse.de
- Only choose best arch of multiple package atoms with identical
  name (#168840)
- rev 3231
* Tue Apr 25 2006 - dmacvicar@suse.de
- pass empty strings to UI as key properties if unknown key
  (#169114)
- rev 3228
* Tue Apr 25 2006 - kkaempf@suse.de
- refrain from parsing 'other.xml' (#159316)
- rev 3226
* Tue Apr 25 2006 - visnov@suse.cz
- in source refresh, clean up the cache dir if fails
- do not require repomd.xml.asc when creating a cache (#163765)
- rev 3224
* Tue Apr 25 2006 - dmacvicar@suse.de
- Check if a file exists before providing it, and just handling the
  exception is not sufficient, because it can release the media.
  it nows get all possible packages.X translations an then
  it selects the candidate from the existing ones (#168654)
- rev 3221
* Tue Apr 25 2006 - kkaempf@suse.de
- dont report conflicts if item is neither installed
  nor to-be-installed (#168906)
- rev 3219
* Tue Apr 25 2006 - dmacvicar@suse.de
- #168060 , propagate the file description or original
  name to the UI and not the checked filename path,
  which could be a tmp file.
  Requires changes in pkg-manager, and probably zmd-helpers.
- rev 3215
* Mon Apr 24 2006 - dmacvicar@suse.de
- /var/lib/zypp/db/languages/* are empty files (##168355)
- r3206
* Mon Apr 24 2006 - dmacvicar@suse.de
- All resolvables must honor arch, so Arch_noarch in
  target/store/XMLFilesBackend.cc is wrong (#160792)
- Introduced code to honour shared package descriptions
  (#159109)
- r3204
* Mon Apr 24 2006 - jsrain@suse.de
- replace '_' in YUM elements/attributes with '-' (#168762)
- rev 3201
* Mon Apr 24 2006 - mt@suse.de
- Fixed iseries workaround - interchanged variables for scsi
  devices, added debug messages about the steps (#163971).
- Added getenv NULL ptr check and verify of the $HOME dir's
  and ~/.curlrc file's ownership (#163203).
- rev 3199
* Mon Apr 24 2006 - ma@suse.de
- Use filesystem::TmpDir to create unique and unused Source cache
  directories. (#168051)
* Mon Apr 24 2006 - ma@suse.de
- Enable signature checks per default. (#168525)
* Mon Apr 24 2006 - visnov@suse.cz
- fix callbacks for providing a single file (#160206)
* Sun Apr 23 2006 - kkaempf@suse.de
- If an installed package looses a dependency, the solver tries
  to upgrade it. Limit the upgrade candidates to best arch, best
  edition.
- filter 'other' entries with incompatible arch in yum parser.
- rev 3177
* Fri Apr 21 2006 - jsrain@suse.de
- initialize the product category according to source (#168061)
- rev 3172
* Fri Apr 21 2006 - mvidner@suse.cz
- delete only one older version of a xml-store resolvable
  (half-baked, but the previous attempt was charred)
* Fri Apr 21 2006 - jsrain@suse.de
- moved license_to_confirm to primary.xml
- rev 3170
* Fri Apr 21 2006 - ma@suse.de
- Removed deprecated oldstyle commit methods.
* Fri Apr 21 2006 - mvidner@suse.cz
- when installing a xml-store resolvable (all except package,
  message, script), delete older versions (#160792).
- read selection edition from the XML store
- rev 3167
* Thu Apr 20 2006 - kkaempf@suse.de
- properly clear transaction flag after successful commit
  (see rev 3122, #164365, #167285)
- rev 3157
* Thu Apr 20 2006 - kkaempf@suse.de
- recursively soft-uninstall recommended package on real uninstall,
  not on update (#167603)
- rev 3155
* Thu Apr 20 2006 - dmacvicar@suse.de
- fix #167605 (importing keys to rpm multiple times due to
  wrong interpretation of rpm gpg versioning.
- add support for reading the rpm keys, with full id and fingerprint
- rev 3153
* Wed Apr 19 2006 - kkaempf@suse.de
- don't add duplicate error infos to ResolverContext (#167309)
- rev 3146
* Wed Apr 19 2006 - kkaempf@suse.de
- fix Resolver::transactReset() (see rev 3122) (#167285)
- rev 3140
* Wed Apr 19 2006 - ma@suse.de
- Introduced $ZYPP_KEYRING_DEFAULT_ACCEPT_ALL. If this environment
  variable is present, all signature checking callbacks will default
  to 'accept', in case no recipient is present.
* Wed Apr 19 2006 - dmacvicar@suse.de
- read content file on construction, and make
  provideProduct only insert the already
  read product object into the store (#165826)
  (dmacvicar)
- When the signature is not found, warn the
  user about a unsigned source. When the
  key is not found, do nothing, it can be in the
  keyring already. (#166016) (dmacvicar)
- enable key verification only if
  ZYPP_CHECKSIG env var is set (dmacvicar)
- r1529
* Tue Apr 18 2006 - kkaempf@suse.de
- fix bugfix 164365, fix bug 167285
  Actually clear the transcation state instead of locking it
  to 'dont transact'
- rev 3122
* Tue Apr 18 2006 - visnov@suse.cz
- revert the signature/digest checking callbacks
- rev 3115
* Tue Apr 18 2006 - kkaempf@suse.de
- Bugfix #165670
- Honor keep requests.
- Dont flag "locked uninstall" as error if a keep request was
  issued before.
- rev 3114
* Tue Apr 18 2006 - kkaempf@suse.de
- rule out locked items during distribution upgrade as early
  as possible. (#165670)
- rev 3110
* Mon Apr 17 2006 - kkaempf@suse.de
- Bugfix #166212
- use APPL_LOW as 'ui initiated, by solver' in transactKind() and
  transactResObject().
- resetTransaction(APPL_LOW) before resolving
- enhance transactCaps by using the same algorithm as in
  QueueItemRequire
  (before: transact all requires and recommends by name
  now: transact best requires and recommends by provides)
- rev 3107
* Fri Apr 14 2006 - visnov@suse.cz
- new callbacks for failing digest
- rev 3098
* Thu Apr 13 2006 - visnov@suse.cz
- ask for file without a checksum (#165125)
* Thu Apr 13 2006 - kkaempf@suse.de
- dont install satisfied resolvables (#165843)
- rev 3095
* Thu Apr 13 2006 - kkaempf@suse.de
- dont abort on failed "dry_run" (#164583)
- rev 3091
* Thu Apr 13 2006 - visnov@suse.cz
- Ask user if signature file does not exist (#163765)
- handle repomd.xml.asc as optional file (#163765)
- rev 3089
* Thu Apr 13 2006 - schubi@suse.de
- Bug 164365 - build 906: Deselecting a selection, all packages are still selected
- rev 3087
* Thu Apr 13 2006 - kkaempf@suse.de
- Dont do transitive uninstalls on uninstalled or upgraded items.
  (#165798)
- rev 3083
* Wed Apr 12 2006 - ma@suse.de
- Added 'rpmNoSignature' to ZYppCommitPolicy (#163862)
* Wed Apr 12 2006 - mvidner@suse.cz
- Product::updateUrls: restore it from the XML store;
  fixed content parsing (#163192).
- restore product flags fro the XML store
- rev 3074
* Wed Apr 12 2006 - kkaempf@suse.de
- Only consider best arch/version (#165477)
- rev 3069
* Wed Apr 12 2006 - ma@suse.de
- No need to parse tags at all if there is no item to store values
  (e.g. data for unwanted arch). Fixed segv trying to store data in
  NULL item. (#165479)
- rev3065
* Tue Apr 11 2006 - mt@suse.de
- Improved Url path name "//" vs. "/%%2f" handling; now if the
  url has an authority, "/%%2f" is used for ftp only (#163784)
- rev 3062
* Tue Apr 11 2006 - jsrain@suse.de
- fixed storing patch scripts to target store (#159928)
- rev 3058
* Tue Apr 11 2006 - kkaempf@suse.de
- if a patch is bad, only skip this patch, not everything
  (#165200)
- rev 3057
* Tue Apr 11 2006 - ma@suse.de
- Susetags:Selections: Allow parsing older .sel file formats. (#159851)
- Susetags:Pattern: Fixed parser.
* Tue Apr 11 2006 - kkaempf@suse.de
- when uninstalling, only re-establish installed items
  supplementing the to-be-uninstalled one. (variant of #165111)
- rev 3054
* Tue Apr 11 2006 - ma@suse.de
- Susetags:Package: Parse and provide ins/delnotify texts.
* Tue Apr 11 2006 - kkaempf@suse.de
- when checking freshens/supplements at install, only consider
  best architecture/edition (#164453)
- rev 3051
* Tue Apr 11 2006 - kkaempf@suse.de
- when checking for supplements, only consider best arch, best
  edition for installation (#165111)
- rev 3047
* Tue Apr 11 2006 - schubi@suse.de
- Bug 165117: build 910: Update: Splitted packages are selected for
  all archs
* Tue Apr 11 2006 - visnov@suse.cz
- ask user if a file exists but does not have a checksum (#162797)
- rev 3044
* Mon Apr 10 2006 - jsrain@suse.de
- parse time and size elements from delta and patch RPM
- rev 3043
* Mon Apr 10 2006 - mt@suse.de
- Added detection of iSeries virtual CD (/dev/iseries/vcd[a-h])
  devices - on powerpc only (#163971)
- rev 3042
* Mon Apr 10 2006 - kkaempf@suse.de
- fix endless loop in patches parsing.
- rev 3039
* Mon Apr 10 2006 - jsrain@suse.de
- fixed media handling in SuSEtags source (#164879)
- rev 3037
* Mon Apr 10 2006 - kkaempf@suse.de
- honor 'dry_run' on package remove (#164732)
- rev 3036
* Mon Apr 10 2006 - kkaempf@suse.de
- add files from yum filelist as provides to package (#164731)
- rev 3032
* Mon Apr 10 2006 - kkaempf@suse.de
- honor "+Enh:/-Enh:" in packages file (#156513)
* Mon Apr 10 2006 - visnov@suse.cz
- fix callback receiver signature to match the callback for removing
  package
* Mon Apr 10 2006 - mvidner@suse.cz
- Added Product::updateUrls, from content/UPDATEURLS (#163192).
- rev 3024
* Sat Apr 08 2006 - schubi@suse.de
- Bug 164440; Taking wrong architecture while updating obsoletes
  splitted packages
- rev 3022
* Sat Apr 08 2006 - kkaempf@suse.de
- allow relative paths with url file:
- dont filter atoms from going into pool, multi-arch patch
  requirements need them. Instead, treat atoms with incompatible
  architecture as unneeded.
- rev 3018
* Fri Apr 07 2006 - jsrain@suse.de
- product now provides short name
- rev 3013
* Fri Apr 07 2006 - jsrain@suse.de
- read metadata for packages from correct tags in patches (#163220)
- rev 3011
* Fri Apr 07 2006 - kkaempf@suse.de
- more detailed resolver error reports (#162994)
- rev 3010
* Fri Apr 07 2006 - visnov@suse.cz
- report package download progress (#160966)
- rev 3007
* Fri Apr 07 2006 - kkaempf@suse.de
- transact also for languages (#163819)
- rev 3004
* Fri Apr 07 2006 - kkaempf@suse.de
- loop through all affected ResObjects in transactResKind (#163819)
- rev 3002
* Fri Apr 07 2006 - kkaempf@suse.de
- allow re-installation of non-packages (#162906)
- rev 2998
* Fri Apr 07 2006 - mt@suse.de
- Added loop checking for scsi cdroms (/sys/block/srX) in case
  HAL does not provide any drives like on iSeries (#163971).
- rev 2995
* Fri Apr 07 2006 - kkaempf@suse.de
- add 'licenceToConfirm()' to Product. (#164375)
* Fri Apr 07 2006 - ma@suse.de
- Avoid excessive CD hopping on commit. But still far from
  being perfect. (#159679)
- Fixed Target::commit: Despite dry_run set True, packages
  were depeted.
* Fri Apr 07 2006 - visnov@suse.cz
- honour if user decides to skip a package in commit (#156031)
* Thu Apr 06 2006 - jsrain@suse.de
- fixed parsing external reference to script in patch (#163221)
- r2981
* Thu Apr 06 2006 - dmacvicar@suse.de
- cache and provide content.asc/key optionally. Dont show a
  popup if they dont exists. (dmacvicar)
- Actually abort when verify signature workflow is false. (dmacvicar)
- r2978
* Thu Apr 06 2006 - jsrain@suse.de
- fixed setting autorefresh flag for installation sources
* Thu Apr 06 2006 - kkaempf@suse.de
- drop patches with incompatible architecture.
- rev 2972
* Thu Apr 06 2006 - mt@suse.de
- Added info method to media verifier base and more debug info
- rev 2970
* Wed Apr 05 2006 - kkaempf@suse.de
- Dont deny the "/" attach point in MediaDIR, since this is used
  for all "file:" urls, esp. local packages.
- rev 2962
* Wed Apr 05 2006 - schubi@suse.de
- Bug 159673 - only one conflict solvable per page
* Wed Apr 05 2006 - kkaempf@suse.de
- parse all dependencies of 'packages' file (#163773)
- rev 2957
* Wed Apr 05 2006 - dmacvicar@suse.de
- Use the original media descr_dir on refresh for
  suse tags source (#163196)
- r2952
* Wed Apr 05 2006 - kkaempf@suse.de
- add Source::setUrl() for zmd backend helper.
- rev 2946
* Wed Apr 05 2006 - dmacvicar@suse.de
- implement rpm keyring / zypp tmp keyring two-way syncronization at rpm
  target init. (dmacvicar)
- r2949
* Wed Apr 05 2006 - mt@suse.de
- Fixed MediaDISK to use a mount -oro,bind id the disk
  partition is already attached e.g. by the automounter.
  Try to mount it a second time may fail (#163486).
- rev 2944
* Wed Apr 05 2006 - kkaempf@suse.de
- honor optional 3rd parameter to "=Loc:" key of packages (#154337)
- rev 2940
* Wed Apr 05 2006 - visnov@suse.cz
- only try to create a source of a given type when restoring
  from the persistent store (#162111)
* Wed Apr 05 2006 - kkaempf@suse.de
- parse all dependencies for patterns (.pat) files (#160602)
- drop YOUPATH and YOUURL from content file.
- rev 2924
* Wed Apr 05 2006 - visnov@suse.cz
- properly initialize autorefresh for non-remote sources (#154990)
- rev 2919
* Tue Apr 04 2006 - mt@suse.de
- Added flag to MediaManager::isUseableAttachPoint, whether
  to check against system mount entries or not.
- Disallow to use the attachpoints of another media handlers
  as source path in MediaDIR.
- rev 2917
* Tue Apr 04 2006 - dmacvicar@suse.de
-implement callbacks for when package verification (checksum)
  fails, offer to retry or abort
* Tue Apr 04 2006 - dmacvicar@suse.de
- Fix construction of checksum objects when using non-standard
  checksum algorithms
- Fix broken YUM cache
- r2913
* Tue Apr 04 2006 - kkaempf@suse.de
- Keep packages with no version upgrade installed during
  distribution upgrade (#162972)
- add 'transactReset()' helper function for UI.
- rev 2908
* Tue Apr 04 2006 - dmacvicar@suse.de
- r2906
* Tue Apr 04 2006 - ma@suse.de
- Fixed candidate handling in ui::Selectable. (#156589)
* Tue Apr 04 2006 - dmacvicar@suse.de
- fix #162984 , gpg hangs because the matching data file
  for the key cannot be find. (dmacvicar)
- Fix restore of YUM source using the same cache dir semantics as
  susetags instead of assuming there is a cache if a cache_dir
  was given. (dmacvicar)
* Tue Apr 04 2006 - kkaempf@suse.de
- use DISTPRODUCT/DISTVERSION from content file to generate the
  product name, version, and release.
- rev 2902
* Mon Apr 03 2006 - mt@suse.de
- Removed broken forcing of absolute ftp paths added in rev2705 to
  MediaCurl, refined cleanupPathName/setPathName in url (#154197).
- rev 2900
* Mon Apr 03 2006 - kkaempf@suse.de
- add Resolver::freshenPool() (#156980)
- rev 2893
* Mon Apr 03 2006 - kkaempf@suse.de
- skip incompatible archs in filelist parsing.
- restrict pathes to 'interesting' ones (/bin/, /sbin/, /lib/,
  /lib64/, ...)
- rev 2886
* Sun Apr 02 2006 - kkaempf@suse.de
- skip incompatible archs in primary parsing.
- rev 2883
* Sun Apr 02 2006 - kkaempf@suse.de
- allow setting of source when parsing local .rpm (#147765)
- rev 2880
* Fri Mar 31 2006 - schubi@suse.de
- Do not update packages over other architectures
* Fri Mar 31 2006 - sh@suse.de
- Added zypp/ui/UserWantedPackages to support the UI's
  "automatic changes" dialog (bug #152700)
* Fri Mar 31 2006 - jsrain@suse.de
- use KeyRing class to validate repomd.xml (#160909)
* Fri Mar 31 2006 - dmacvicar@suse.de
- Product resolvables should be readable by normal users.
  (#162474) (dmacvicar)
- implemented keyring and metadata signature verification
  in susetags source
- dont delete the lock if we did not acquire it
- r2847
* Fri Mar 31 2006 - mt@suse.de
- Added disabling of the automounter while MediaManager
  init and restoring of the old state on exit (#154326).
- Implemented check if media (CD) is automounted or not
- rev 2840
* Fri Mar 31 2006 - mt@suse.de
- Implemented several hal get/set/removeDeviceProperty wrappers
- Improved HalException to allow to fetch HAL/DBUS error componets
- rev 2830
* Fri Mar 31 2006 - kkaempf@suse.de
- honor subscription status of catalogs (#162350)
- rev 2827
* Fri Mar 31 2006 - mt@suse.de
- Enabled CD eject error reporting exceptions (#154326)
- rev 2822
* Fri Mar 31 2006 - kkaempf@suse.de
- support "dry run" (#159467)
- implement "transactResKind" (#161400)
- rev 2817
* Thu Mar 30 2006 - jsrain@suse.de
- add checksum for external patches (#159928)
* Thu Mar 30 2006 - kkaempf@suse.de
- calculate product architecture (#158198)
* Wed Mar 29 2006 - jsrain@suse.de
- fixed checking checksum of YUM metadata, added sha1 vs. sha256
  detection
* Wed Mar 29 2006 - ma@suse.de
- Auto protect installed packages from unknown vendor. (#157446)
* Wed Mar 29 2006 - visnov@suse.de
- added support for external scripts to metadata (#159928) (jsrain)
- fixed handling of Language resolvables (ma)
- fix leak in rpmdb (dmacvicar)
- added softlock for autoyast (#159466) (ma)
- Fixed exceptions in doGetFileCopy() to show full url
  including the file instead of just the media base url. (mt)
- Provide Language::summary (ma)
- check patterns and selections file exist
  before veryfing them (#161300) (dmacvicar)
- added YUM metadata checksum computation (jsrain)
- added interface to patch of a message (jsrain)
- r2734
* Mon Mar 27 2006 - jsrain@suse.de
- added support for external scripts to metadata (#159928)
- r2709
* Sat Mar 25 2006 - jsrain@suse.de
- report separate exception when trying to start source cache again to
  suppress incorrect error message in XEN installation
- r2682
* Fri Mar 24 2006 - schubi@suse.de
- Implement inter process locking in zypp.
- Added No medium found output
- splitting modaliases in supplements TOO
- parse also the available signing keys
* Fri Mar 24 2006 - visnov@suse.cz
- release all media when removing source (#159754) (visnov)
- more testsuites (schubi)
- updated translations (schubi)
- added MediaNotEjectedException (mt)
- rev 2652
* Thu Mar 23 2006 - dmacvicar@suse.de
- fix patches descriptions (dmacvicar)
- fix source serialization (dmacvicar)
- metadata for kernel test (schubi)
- Arch tests updated (ma)
- classify NULL Ptr as unique (ma)
- Added host check, because file Url allows it now. (mt)
- prepare modalias fix (#159766) (ma)
- Provide iterator based access to SourceManager data. (ma)
- Fixed "file:" Url scheme config to allow relative paths; (mt)
  RFC1738 says, it may contain a hostname as well...
- revision 2633
* Wed Mar 22 2006 - visnov@suse.cz
- pkg-config support (mvidner)
- close all medias when destructing MediaSet (jsrain)
- rev 2622
* Wed Mar 22 2006 - dmacvicar@suse.de
- Bug 159976 - build 804: Adding AddOn CD via ftp gives error (dmacvicar)
- Message callback implemented to show patch messages (visnov)
- Bug 159696 (schubi)
- provide transform_iterators to iterate over a maps keys or values (ma)
- added 'bool Arch::empty() const' test for an empty Arch string (ma)
- added script and message installation (jsrain)
- chooses the 'right' kernel now (kkaempf)
- Use noarch if no arch is specified in patches (dmacvicar)
- rev 2611
* Tue Mar 21 2006 - mvidner@suse.cz
- Added some debug output including the access id (mt)
- Bug #154326: Enabled FORCE_RELEASE_FOREIGN flag causing
  release with eject=true on attached media, to umount
  other mounts as well. (mt)
- 159483 - solver does not blame missing dependency (schubi)
- Added a variant of MediaHandler::forceRelaseAllMedia (ma)
- Fixed MediaCD::forceEject() to handle DELAYED_VERIFY
  and use forceRelaseAllMedia if FORCE_RELEASE_FOREIGN=1 (ma)
- fixed ZYPP_RETHROW (#156430) (ma)
- patch for #156114 (visnov)
- fixed container.erase loops (ma)
- Fixed to reset desired (cached) flag before the action (mt)
- Removed return in forceRelaseAllMedia (void function) (mt)
- Parse nonexisting architecture to noarch so patches dont get
  filtered by the pool (dmacvicar)
- 159512 - yast2-qt does not show label of to be installed products
  anymore (dmacvicar)
- 159765 - Hidden patterns still visible (dmacvicar)
- Use noarch if no arch is specified. (dmacvicar)
- r2594
* Tue Mar 21 2006 - visnov@suse.de
- properly report error for media change callback
- rev 2579
* Mon Mar 20 2006 - ma@suse.de
- fixed memory leak in XMLNodeIterator (#157474)
- disabled storing filelist (YUMFileListParser) and changelog (YUMOtherParser)
- Renamed private MediaManager::forceMediaRelease
  function to forceReleaseShared (more exact name)
- Implemented forceRelaseAllMedia() that can be
  used to release also foreign (user) mounts.
- Added use of forceRelaseAllMedia for CD/DVDs
  if FORCE_RELEASE_FOREIGN is 1 (default 0)
- little cleanup of the checkAttached function
- r2578
* Mon Mar 20 2006 - mvidner@suse.cz
- don't try to attach without exception handling (#158620)
- fix descriptions, as a new tag Des for selections exists now.
- fix #157683: failure after adding add-on product to install
  sources
- added more files for translation
- resolve-dependencies.cc: establish pool
- parse-metadata.cc: catch bad URL
- set zmdid for atoms
- r2574
* Sun Mar 19 2006 - kkaempf@suse.de
- fix testsuite.
- provide edition and architecture for all kinds of yum
  resolvables.
- fix ResStatus output.
- establish atoms correctly.
- treat requires to unneeded resolvables as fulfilled.
- rev 2559
* Sun Mar 19 2006 - kkaempf@suse.de
- fix the build
- only consider best architecture/version (#157594)
- prefer providers which supplement/enhance installed or
  to-be-installed packages (fixes the tpctl-kmp issue)
- rev 2546
* Sat Mar 18 2006 - kkaempf@suse.de
- provide more filters for pkg-bindings (#158602)
- add SystemResObject to provide system (modalias, hal, ...)
  capabilities.
- handle this during resolving.
- make the modalias and hal capability match the SystemResObject
  by default, thereyby triggering a modalias (resp. hal)
  evaluation.
- xmlstore: decouple target store from YUM schema.
- clean up moving of hal() and modalias() from provides to
  supplements in ResolvableImpl.
- add PatchContents() for UI.
- handle Edition::noedition as empty string.
- r2537
* Tue Mar 14 2006 - jsrain@suse.de
- releasing all medias when asking for CD (#156981)
- r2471
* Tue Mar 14 2006 - mvidner@suse.cz
- ResStatus::resetTransact must return a value.
- Fixed random build failures in LanguageCode.cc.
  (Rewrote the CodeMaps constructor so that gcc does not
  optimize a 500-statement basic block.)
- Fix constructions of patch objects. Actually insert atoms in atoms
  list. Insert atoms for package even if the package does not exists
  in the source. Fixes #157628 (dmacvicar).
- Fixed license reading from susetags, #151834 (dmacvicar).
- r2468
* Tue Mar 14 2006 - mvidner@suse.cz
- added ResStatus::resetTransact (ma)
- bugfix for #156439 (schubi)
- Added Source_Ref::setAlias (#154913).
- Do not assume there is a product file when scanning for products
  (visnov)
- function to disable all sources in the persistent store (visnov)
- dependency errors go to stdout, not stderr; output resolver info
  directly to stderr (kkaempf)
- rev 2464
* Tue Mar 14 2006 - kkaempf@suse.de
- fix merging of resolver info (needed for #157684).
- errors are also important in ResolverInfo.
- improve debug output in ResolverContext.
- rev 2455
* Mon Mar 13 2006 - jsrain@suse.de
- delete RPMs downloaded via HTTP/FTP after installnig them
  (#157011)
- fixed product registration (reverted autorefresh patch) (#157566)
* Mon Mar 13 2006 - kkaempf@suse.de
- if root!="/", always prefer the upgrade candidate (#155472)
- implement license confirmed api for UI.
- prefer architecture over version in distribution upgrade
  (#157501)
- clean up media handling.
- rev 2448
* Sun Mar 12 2006 - kkaempf@suse.de
- init Modalias properly.
- fix warnings in testcases.
- rev 2432
* Sat Mar 11 2006 - kkaempf@suse.de
- drop libjpeg-devel and sqlite-devel from build requires.
* Sat Mar 11 2006 - kkaempf@suse.de
- implement 'modalias()' capability (#157406)
- make dependencies consistent, its 'freshens'.
- cope with user umounts of devices.
- add debug to SourceManager.
- rev 2418
* Fri Mar 10 2006 - kkaempf@suse.de
- allow version downgrade during distribution upgrade if the
  newer package is coming from a trusted vendor (#155472)
- implement locale fallback
- 'freshen' -> 'freshens' in schema definitions to make it
  consistent with all other dependency definitions.
- better error reporting for .pat and .sel files.
- rule out packages from dependency resolutions which are
  de-selected by user (#155368)
- use locale fallbacks in package translations.
- refresh source when re-enabling it.
- rev 2406
* Tue Mar 07 2006 - kkaempf@suse.de
- split of libzypp-zmd-backend subpackage as a stand-alone
  leaf package.
- encapsulate bool test for Source_Ref better.
- fixed stack overflow (ma).
- make testsuite build again.
- rev 2346
* Tue Mar 07 2006 - kkaempf@suse.de
- fixed URL rewriting for CD2 and following (#154762)
- fixed ResPoolProxy diffState (for proper ok/cancel support
  in UI)
- added special exception class for aborting installation
  (#154936)
- only auto-change directories if they end in CDn or DVDn.
- rev 2320.
* Tue Mar 07 2006 - kkaempf@suse.de
- silently ignore multiple installs of the same package.
- fix disk usage for installs and uninstalls.
- rev 2308
* Mon Mar 06 2006 - kkaempf@suse.de
- zmd-backend: filter out incompatible architectures from
  repository.
- rev 2298
* Mon Mar 06 2006 - kkaempf@suse.de
- sync libzypp media data with mtab.
- improve resolver error and solution reports.
- fix source cache reading (#155459).
- default cached sources to enabled (#155459).
- let each source provide public keys.
- rev 2297
* Sun Mar 05 2006 - kkaempf@suse.de
- only write by-sovler transactions back (#154976)
- rev 2278
* Sat Mar 04 2006 - kkaempf@suse.de
- release last used source at end of commit (#155002)
- rev 2277
* Fri Mar 03 2006 - kkaempf@suse.de
- cope with NULL values in zmd catalogs table (#153584)
- set YAST_IS_RUNNING in transact zmd helper (#154820)
- run SuSEconfig after transact zmd helper (#154820)
- add softTransact to honor user vs. soft requirements (#154650)
- honor all build keys provided by a package source.
- add source metadata refresh.
- add progress callbacks to zmd helpers.
- rev 2276
* Thu Mar 02 2006 - kkaempf@suse.de
- include .diffs into main source.
- catch exception when ejecting media which was unmounted externally
  (#154697).
- init source in zmd-backend correctly (#154667)
- implement disk usage info for YaST.
- clean up XML schema files.
- catch CPUs identifying as 'i686' but being 'i586'.
- allow definition of preferred attach (mount) point for media.
- make resolver results more readable.
- use language fallbacks if none of multiple language providers
  matches.
- get rid of ignoring wrong arch in resolver, having the wrong
  architecture is prevented by other means.
- prepare for translations in exceptions.
- fix 'abort does not abort'
- implement 'flag' I/O in target cache backend.
- skip incompatibles architectures in packages.<lang>
- rev 2228
* Thu Mar 02 2006 - kkaempf@suse.de
- dont even provide src/nosrc from the source.
- rev 2169 + diffs
* Wed Mar 01 2006 - kkaempf@suse.de
- Initialize commit result (#154409)
- release media if its wrong (#154326)
- dont copy src/nosrc packages to the pool (#154627)
- reduce XML logging.
- rev 2169 + diffs
* Tue Feb 28 2006 - kkaempf@suse.de
- fix path of .po files (#154074).
- parse the correct package.<lang> file (kinda #154074).
- complain about bad "=Sel:" or "=Pat:" lines (#153065).
- reattach all released medias.
- raise exception instead of abort() on XML errors (#154104).
- update translations.
- PathInfo: implemented a copy_dir_content (variant of copy_dir)
  and is_empty_dir utility function
- rev 2169
* Tue Feb 28 2006 - kkaempf@suse.de
- check freshens and supplements for packages (#154074).
- only complain about incomplete installed resolvables,
  if they are uninstalled, schedule them for installation.
  (#154074)
- add testcases for locale() provides.
- add lang_country -> lang fallback.
- have locale(parent:...) deps match any provides of 'parent'
  also when uninstalling a package.
- rev 2148
* Tue Feb 28 2006 - kkaempf@suse.de
- change the locale(...) separator to ";" (#153791)
- complete "find-files" of zmd-backend.
- rev 2140
* Tue Feb 28 2006 - visnov@suse.de
- avoid attaching media when initializing source
- rev 2139
* Mon Feb 27 2006 - kkaempf@suse.de
- warn about misspelled 'locale(...)' provides
- add testcases
- rev 2134
* Mon Feb 27 2006 - kkaempf@suse.de
- fix the build
- rev 2129
* Mon Feb 27 2006 - kkaempf@suse.de
- provide available locales to application (#153583)
- honor 'requestedLocales' (language dependant packages)
- honor release requests for all holders of a device.
- silently re-attach after a forced release.
- solver improvements.
- handle source caches.
- proper logging in zmd backend helpers.
- rev 2127
* Mon Feb 27 2006 - kkaempf@suse.de
- upgrade always to best version and arch (#153577)
- reset 'transact' state for obsoleted packages (#153578)
- translation updates
- rev 2113
* Mon Feb 27 2006 - kkaempf@suse.de
- add support for 'local' .rpm packages to zmd-backend.
- rev 2101
* Sun Feb 26 2006 - kkaempf@suse.de
- fix build of zmd/backend.
- actually fill 'files' table in package-files.
- rev 2094
* Sun Feb 26 2006 - kkaempf@suse.de
- improve testcases.
- add 'setPossibleLocales()' to ZYpp, this defines the set
  of possible locales to choose from (#153583)
- provide LanguageImpl and create 'Language' resolvables for
  each 'possible' locale.
- fix YUM parsing of patches, insert 'atoms' to link patches
  with packages.
- replace gzstream/ with own, existing implementation.
- honor locks in solver (#150231)
- sync pool with target after commit() properly (#150565, #153066)
- new zmd helper 'package-files'
- rev 2093
* Thu Feb 23 2006 - kkaempf@suse.de
- prevent multiple initializations of the target (#153124)
- implement 'loopback mounted ISO images'
- retain old package sources on upgrade.
- support compressed .xml files in 'repodata' type repositories.
- rev 2025
* Thu Feb 23 2006 - kkaempf@suse.de
- parse locale(...) provides and construct correct dependencies.
* Thu Feb 23 2006 - kkaempf@suse.de
- always upgrade to candidate (#152760).
- fix typo in package sorting.
- prepare handling of locale provides.
- rev 1995
* Thu Feb 23 2006 - kkaempf@suse.de
- sort src/nosrc package to right list during commit.
- revert installtime/buildtime in susetags parser (#152760)
- rev 1990
* Thu Feb 23 2006 - kkaempf@suse.de
- reset state after successful commit (#153030)
- run "rpm -e" always with "--nodeps" (#153026)
- provide separate resolvable kind for src packages.
- extend status field for LOCK and LICENSE.
- add sameState()/diffState() for UI.
- provide 'best' candidate for UI.
- set 60 sec timeout for curl access.
- don't cross-compare solver results, takes too much time.
- provide sizes of installed packages.
- extend REQUIRES semantics in content file.
- add "parse-metadata" helper to zmd-backend.
- rev 1987
* Wed Feb 22 2006 - kkaempf@suse.de
- provide complete disk usage data (#152761)
- include upgrade flag when copying solver solution
  back to pool (#152717)
- rev 1959
* Wed Feb 22 2006 - kkaempf@suse.de
- don't insert incompatible architectures to the pool (#151933)
- don't accept incompatible architectures from a repository
  (#151933)
- separate rpm log (#151431).
- allow extended product requires.
- rev 1954
* Tue Feb 21 2006 - kkaempf@suse.de
- provide the XML schema files in the main package. (#152593)
* Tue Feb 21 2006 - kkaempf@suse.de
- provide arch compat handling.
- implement data upload to zmd.
- fix source metadata caching on target.
- add 'supplements' dependencies to 'yum' parser.
- provide user agent identification to curl calls.
- move resolver branches (multiple alternatives) back in queue
  (resolve known things first, then the unknown ones).
- clean up 'packages' parser.
- rev 1947
* Tue Feb 21 2006 - kkaempf@suse.de
- improve media mount/umount interface
- prepare class ArchCompat for proper architecture ordering
  and compatibility handling.
- add returns to dummy functions in DbAccess.
- rev 1913
* Mon Feb 20 2006 - kkaempf@suse.de
- don't explictly delete to-be-upgraded packages.
- finish query-system, resolve-dependencies, and transact for
  libzypp-zmd-backend.
- provide Pattern::category.
- move system architecture to toplevel.
- make target store pathname settable.
- speed up rpmdb reading by properly filtering unwanted file
  provides.
- rev 1905
* Sun Feb 19 2006 - kkaempf@suse.de
- new translations.
- proofread texts.
- when comparing solutions, prefer higher versions.
- provide generic 'SafeBool' for bool conversions.
- add PtrTypes testsuites.
- rev 1876
* Fri Feb 17 2006 - kkaempf@suse.de
- integrate all diffs
- move Target::commit to toplevel API
- generalize dependency iterators and hash dependency
  information in pool (for speedup)
- add 'supplements' as dependency
- make more pattern attributes available
- drop "smbfs" in favour of "cifs" (#151476)
- add metadata cache to sources (Beta4 bug)
- run "rpm -e"  with name-version-release
- fix update conflicts
- rev 1864
* Thu Feb 16 2006 - kkaempf@suse.de
- fix-mediachange.diff: dont skip CD but retry after media change
- cd-eject-button.diff: fix CD url so YaST recognizes it and shows
  'eject' button
- release-forced-eject-no-ptrfix.diff: fix refcounting in ptrs
  so media handle gets actually released and media unmounted.
* Thu Feb 16 2006 - kkaempf@suse.de
- implement arch scoring
- prefer better arch (#151427)
- transitive depedencies of weak requirements are non-weak
  (#151446)
- rev 1778 + diff
* Wed Feb 15 2006 - kkaempf@suse.de
- ignore self and to-be-updated conflicts (#150844)
- fix enable of target store (for non-packages)
- rev 1778
* Wed Feb 15 2006 - kkaempf@suse.de
- fix "cd:" url (#151121)
- provide location() in public Package api
- allow running distribution upgrade in testmode
- extend HAL interface
- rev 1762
* Wed Feb 15 2006 - kkaempf@suse.de
- pass normal and locale packages from selections correctly.
- its "baseconf" for base selections.
- Make 'ZYpp' an obvious singleton.
- provide releasenotesUrl.
- dont continue upgrade without target.
- implement 'fake' hal for testing.
- fix package sizes.
- more solver testcases.
- rev 1754
* Tue Feb 14 2006 - kkaempf@suse.de
- extend requires of libzypp-devel
- provide package sizes for UI
- provide more UI helpers
- implement Product and related functions
- fix split provides in distribution upgrade
- provide locale information to system
- ask HAL for available devices
- reduce debug information in solver
- filter architectures in source, not in solver
- rev 1743
* Tue Feb 14 2006 - visnov@suse.de
- disable another testsuite for now
- fetch the default locale from environment
- support user-defined formatting of log
- rev 1710
* Mon Feb 13 2006 - visnov@suse.de
- providing basic product information from susetags source
- public API for preferred language
- implemented redirect of logging (#149001)
- report start/finish of source data parsing (#150211)
- store/restore source aliases properly (#150256)
- disable a lot of debug logging to speed up solver
- properly rewrite URL for CDn directory layouts (#149870)
- rev 1706
* Sun Feb 12 2006 - kkaempf@suse.de
- add save/restore state to facilitate UI 'cancel'
- enable target/store
- add 'forceResolve' call and flag to resolver to switch between
  task-oriented ZMD and interactive YaST behaviour.
- Fix resolver problem solution texts.
- improve solver problem solution offerings.
- fix media access handling to better support multiple
  requestors to single media.
- move the media number checking to the source (media requestor)
  which knows how to verify the correct media.
- Fix CD ordering (#149871), adding testcases.
- Move 'PoolItemList' and 'PoolItemSet' typedefs inside classes.
- Add selections to testcases.
- rev 1673
* Sat Feb 11 2006 - kukuk@suse.de
- Fix missing return in Source.cc:124
* Fri Feb 10 2006 - kkaempf@suse.de
- cope with empty arch field in selections
- enable dummy "enableStorage" function
- rev 1610-branch
* Fri Feb 10 2006 - kkaempf@suse.de
- fix random data return in Source.cc
- rev 1610
* Fri Feb 10 2006 - kkaempf@suse.de
- adapt zmd-backend to SourceImpl API change
- rev 1608
* Fri Feb 10 2006 - kkaempf@suse.de
- fix the packages parser bug. Now all packages are parsed
  including (english) translations.
  source/susetags is back to svn head.
- rev 1600
* Fri Feb 10 2006 - kkaempf@suse.de
- fix off-by-one bug in bitfield handling
- revert source/susetags to rev 1411
- rev 1586
* Thu Feb 09 2006 - kkaempf@suse.de
- dont prereq-sort non-packages
- rev 1584
* Thu Feb 09 2006 - kkaempf@suse.de
- rev 1582
* Thu Feb 09 2006 - kkaempf@suse.de
- update to rev 1543
* Thu Feb 09 2006 - ro@suse.de
- require hal-devel in libzypp-devel
- re-merge fixes (RPM_OPT_FLAGS)
* Wed Feb 08 2006 - kkaempf@suse.de
- make solver behaviour a bit more interactive
- rev 1537
* Wed Feb 08 2006 - schwab@suse.de
- Fix syntax error in configure script.
- Use RPM_OPT_FLAGS.
* Wed Feb 08 2006 - kkaempf@suse.de
- update for qt ui integration
- rev 1504
* Tue Feb 07 2006 - kkaempf@suse.de
- split off libzypp-zmd-backend
- rev 1466
* Tue Feb 07 2006 - kkaempf@suse.de
- another update to svn
* Mon Feb 06 2006 - kkaempf@suse.de
- finish rpm callbacks
- finish UI API
- fix state change resolver<->pool
- zmd backend stuff
- speed up tag file parsing
- rev 1405
* Mon Feb 06 2006 - schubi@suse.de
- disabling failing tests of s390 and ppc
* Mon Feb 06 2006 - schubi@suse.de
- Snapshoot rev 1367
* Mon Feb 06 2006 - kkaempf@suse.de
- use hashes for pool
- rev 1343
* Fri Feb 03 2006 - schubi@suse.de
- removed Obsoletes:    yast2-packagemanager
* Fri Feb 03 2006 - schubi@suse.de
- Snapshoot 3 Feb 2005 (11:30)
* Thu Feb 02 2006 - schubi@suse.de
- Snapshoot 2 Feb 2005 (14:00)
* Thu Feb 02 2006 - schubi@suse.de
- Snapshoot 2 Feb 2005 ( integrating YaST )
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 14 2006 - kkaempf@suse.de
- Initial version
